from django import forms

from .models import CfgState

##############################################################################

class CfgStateForm(forms.ModelForm):
	class Meta:
		model = CfgState
		fields = ['name', 'category', 'severity', ]



##############################################################################

class StateSimpleFilter(forms.Form):
	hostname = forms.MultipleChoiceField(required=False)
	state = forms.MultipleChoiceField(required=False)
	start_time = forms.MultipleChoiceField(required=False)
	stop_time = forms.MultipleChoiceField(required=False)
	read = forms.MultipleChoiceField(label='Read', required=False)



class StateSimpleExclude(forms.Form):
	exclude_hostname = forms.MultipleChoiceField(required=False)
	exclude_state = forms.MultipleChoiceField(required=False)
	exclude_start_time = forms.MultipleChoiceField(required=False)
	exclude_stop_time = forms.MultipleChoiceField(required=False)
	exclude_read = forms.MultipleChoiceField(label='Exclude Read', required=False)



